escript::EsysException Class Reference

The base class for escript exceptions. More...

`#include <EsysException.h>`

Inheritance diagram for escript::EsysException:

## Public Member Functions

| EsysException (const std::string &message)
| Constructor which creates an Exception with the given message. More...
virtual | ~EsysException () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Returns a description of the exception. More...

## Private Attributes

std::string | msg

## Detailed Description

The base class for escript exceptions.

## Constructor & Destructor Documentation

## EsysException()

escript::EsysException::EsysException | ( | const std::string & | message | ) |

inline

Constructor which creates an Exception with the given message.

Parameters

  message | - Exception message.

Referenced by escript::makeInfo(), and ~EsysException().

## ~EsysException()

virtual escript::EsysException::~EsysException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Destructor.

References EsysException(), and escript::IOError::IOError().

## Member Function Documentation

## what()

virtual const char* escript::EsysException::what | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Returns a description of the exception.

Referenced by escript::AssertionErrorTranslator(), escript::IOErrorTranslator(), and escript::saveDataCSV().

## Member Data Documentation

## msg

std::string escript::EsysException::msg

private

The documentation for this class was generated from the following file:

- EsysException.h